`timescale 1ns / 1ps

module design1(
    input clk, reset,
    input [7:0] a,b,c, // a*b + c
    output [16:0] d
    );
    
    // a*b
    reg [15:0] p;
    
    always @(posedge clk) begin
        if(reset)
            p <= 0;
        else
            p <= a*b;
    end
    
    // p+c 
    assign d = p + c;
    
endmodule
